export type CarLicenseType = 'R' | 'D' | 'C' | 'B' | 'A' | 'Pro';

export class CarLicense {
  private constructor(private readonly value: CarLicenseType) {}

  static create(value: CarLicenseType): CarLicense {
    return new CarLicense(value);
  }

  toString(): CarLicenseType {
    return this.value;
  }

  equals(other: CarLicense): boolean {
    return this.value === other.value;
  }
}